package com.engine.demo.cmd;

import com.engine.common.biz.AbstractCommonCommand;
import com.engine.common.entity.BizLogContext;
import com.engine.core.interceptor.CommandContext;
import org.apache.tika.utils.StringUtils;
import weaver.general.Util;
import weaver.hrm.User;

import java.util.HashMap;
import java.util.Map;

public class WorklowBatchExportCmd extends AbstractCommonCommand<Map<String, Object>> {

    public WorklowBatchExportCmd(Map<String, Object> params, User user) {
        this.user = user;
        this.params = params;
    }

    @Override
    public BizLogContext getLogContext() {
        return null;
    }

    @Override
    public Map<String, Object> execute(CommandContext commandContext) {

        Map<String, Object> result = new HashMap<String, Object>();

        String requestids = Util.null2String(params.get("requestids"));

        if (StringUtils.isBlank(requestids)) {
            result.put("code","500");
            result.put("msg","请先选择需要导出的流程");
            return result;
        }




        return result;
    }
}
