package com.engine.demo.controller;

import com.engine.common.util.ParamUtil;
import com.google.gson.Gson;
import weaver.hrm.HrmUserVarify;
import weaver.hrm.User;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.ws.rs.POST;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.core.Context;
import javax.ws.rs.core.MediaType;
import java.util.Map;

public class WorkflowExcelController {

    @POST
    @Path("/getEndWorkDate")
    @Produces(MediaType.APPLICATION_JSON)
    public String getEndWorkDate(@Context HttpServletRequest request, @Context HttpServletResponse response) {
        User user = HrmUserVarify.getUser(request, response);
        Map<String, Object> params = ParamUtil.request2Map(request);
        Map<String, Object> resultDatas = getKqDevService(user).getEndWorkDate(params);
        return  new Gson().toJson(resultDatas);
    }

}